- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Create an API Hub plugin resource in the API hub. Once a plugin is created, it can be used to create plugin instances.
HTTP request
POST https://apihub.googleapis.com/v1/{parent=projects/*/locations/*}/plugins
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource where this plugin will be created. Format: |
Query parameters
| Parameters | |
|---|---|
pluginId |
Optional. The ID to use for the Plugin resource, which will become the final component of the Plugin's resource name. This field is optional.
This value should be 4-63 characters, overall resource name which will be of format |
Request body
The request body contains an instance of Plugin.
Response body
If successful, the response body contains a newly created instance of Plugin.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/apihub.readwritehttps://www.googleapis.com/auth/cloud-platform
IAM Permissions
Requires the following IAM permission on the parent resource:
apihub.plugins.create
For more information, see the IAM documentation.